
export function getPatentTypes() {
  let types = [{
    id: '1',
    name: '发明',
    code:'invention'
  },{id: '2',
      name: '实用新型', code:'modelUtility'
    },{
      id: '3',
      name: '外观设计', code:'appearance'
    }];
  return types;
}

export function getAllPatentTypeIdStr() {
  return '1,2,3';
}

export function getPatentType(id) {
  if(id=='1'){
    return '发明(公开)';
  }else if(id=='2'){
    return '实用新型';
  }else if(id=='3'){
    return '外观设计';
  }else if(id=='4'){
    return '发明(授权)';
  }else{
    return id;
  }
}

export function getPatentType2() {
  let types = [{
    id: '1',
    name: '发明'
  },{
    id: '2',
    name: '实用新型'
  },{
      id: '3',
      name: '外观设计'
    }];
  return types;
}



export function getApplicantTypes(){
  let types = [{
    id: '1',
    name: '大专院校',
    code:'UC',
    code2:'higher_school'
  },{
    id: '2',
    name: '科研机构',
    code:'SRI',code2:'research_institute'
  },{
      id: '3',
      name: '企业',
      code:'IME',code2:'enterprise'
    },
    {
      id: '4',
      name: '机关团体',
      code:'OT',code2:'institutions'
    },
    {
      id: '5',
      name: '个人',
      code:'PE',code2:'individual'
    }];
  return types;
}

export function getApplicantType(id){
  if(id=='1'){
    return '高等院校';
  }else if(id=='2'){
    return '科研院所';
  }else if(id=='3'){
    return '企业';
  }else if(id=='4'){
    return '事业单位';
  }else if(id=='5'){
    return '个人';
  }else{
    return '';
  }
}

export function getAllApplicantTypeIdStr(){
  return '1,2,3,4,5';
}



export function getHighValues() {
  let types = [{
    id: '1',
    name: '战略性新兴产业',code:'hvSeisPress',code2:'hv_seis_press'
  },{
    id: '2',
    name: '在海外有同族专利权',code:'hvHaveOverseasPress',code2:'hv_have_overseas_press'
  },{id: '3',
    name: '维持年限超10年',code:'hvKeep10Press',code2:'hv_keep10_press'
  },{
    id: '4',
    name: '获得较高质押融资金额',code:'hvHighPledgePress',code2:'hv_high_pledge_press'
  },{
    id: '5',
    name: '获得国家科技奖或中国专利奖',code:'hvTechnologyAwardPress',code2:'hv_technology_award_press'
  }];
  return types;
}

export function getAllHighValueIdStr() {
  return '1,2,3,4,5';
}

export function getHighValue(id) {
  if(id=='1'){
    return '战略性新兴产业';
  }else if(id=='3'){
    return '维持年限超10年';
  }else if(id=='2'){
    return '在海外有同族专利权';
  }else if(id=='4'){
    return '获得较高质押融资金额';
  }else if(id=='5'){
    return '获得国家科技奖或中国专利奖';
  }else{
    return '';
  }
}
export function getApplicantTypesb(){
  let types = [{
    id: '1',
    name: '是'
  },{
    id: '2',
    name: '否'
  }];
  return types;
}
export function getyearList(){
  let types = ['2023','2022','2021','2020','2019'];
  return types;
}

